Установка Java 1.6

Идем на страницу загрузок: http://java.com/ru/download/manual.jsp или делаем

wget «http://centos.ultra-sr.ru/files/jdk-6u21-linux-x64.bin»

, скачиваем там «Linux RPM (самораспаковывающийся файл)» либо » Linux x64 RPM» в зависимости от требуемой платформы.
Теперь установим:

sh jdk-6u*

Набираем yes для согласия с лицензией, далее идет установка.
Устанавливаем переменную среды

export JAVA_HOME=/root/jdk1.6.0_21

Читать полностью

Крах update php

На днях столкнулся с проблемой, пых не обновлялся, итог ошибки — не совместимость пакетов.
О_о «Как это, пых обновляю же на новый и прилагаемые к нему пакеты тоже?» Подумал я.
Да и другие модули выводили похожий результат:

Setting up Install Process
Resolving Dependencies
—> Running transaction check
—> Package php-pecl-memcache.x86_64 0:2.2.6-1.el5 set to be updated
—> Processing Dependency: php-zend-abi = 20050922 for package: php-pecl-memcache
—> Finished Dependency Resolution
php-pecl-memcache-2.2.6-1.el5.x86_64 from CentUSR has depsolving problems
—> Missing Dependency: php-zend-abi = 20050922 is needed by package php-pecl-memcache-2.2.6-1.el5.x86_64 (CentUSR)
Error: Missing Dependency: php-zend-abi = 20050922 is needed by package php-pecl-memcache-2.2.6-1.el5.x86_64 (CentUSR)
You could try using —skip-broken to work around the problem
You could try running: package-cleanup —problems
package-cleanup —dupes
rpm -Va —nofiles —nodigest
The program package-cleanup is found in the yum-utils package.

Гугл как всегда с такой узкой проблемой вывод не дал. В итоге победил командой

yum clean metadata

Как показал «метод тыка» виноват по видимому кэш оси. Ну а далее апдейт делал через remi.

Nginx 0.8.52

Игорь Сысоев выпустил nginx 0.8.52

Основные изменения:
Исправление: nginx использовал режим SSL для listen сокета, если для него был установлен любой listen-параметр; ошибка появилась в 0.8.51.

Пакет доступен в репах USR.